Subject: Re: [PATCH] Add documentation on how to integrate commands.

From: "Eric S. Raymond" <[email-masked]>
Date: Sat, 24 Nov 2012 19:06:05 -0500

Working on my revised patch...

Pete Wyckoff <[email-masked]>:
> Nice start.  A few other details; I recently did this for git-p4
> (python).
> 
> .gitignore: ignore the auto-generated script, e.g. when
> git-foo.py is built into git-foo.

Added:

    3. If your command is implemented in an interpreted language with a 
    p-code intermediate form, make sure .gitignore in the main directory
    includes a pattern entry that ignores such files.  Python .pyc and
    .pyo files will already be covered.

> INSTALL: note language requirements if odd (see python section)

Added:

    4. If your command has dependency on a particular version, document
    it in the INSTALL file.
 
> command-list.txt: categorization of commands for git(1) etc.

Are the values in the right-hand column documented somewhere?  What
uses them, and for what purposes.
 
> RelNotes: Junio generally does this.

Added:

    6. When your patch is merged, remind the maintainer to add something
    about it in the RelNotes file.
 
> Also please read Documentation/technical/api-builtin.txt to
> see how to add a built-in command.  It also has comments that
> are identical for both built-in and stand-alone command.  Could
> be that your text would better go near or with that one, as perhaps
> api-command.txt.

I think this is a good suggestion and will implement it.

If someone can explain the values used in command-list.txt, or (better) point
me to documentation of them, that will enable me to finish the revised patch.
-- 
		<a href="http://www.catb.org/~esr/">Eric S. Raymond</a>